Skip to main content
`Ctrl`+`K`

# DMPlexSetOverlap

Set the width of the cell overlap

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexSetOverlap(DM dm, DM dmSrc, PetscInt overlap)

Logically Collective

## Input Parameters

- dm - The `DM`

- dmSrc - The `DM` that produced this one, or `NULL`

- overlap - the width of the cell overlap

## Note

The overlap from `dmSrc` is added to `dm`

## See Also

`DMPLEX`, `DMPlexGetOverlap()`, `DMPlexDistribute()`

## Level

intermediate

## Location

src/dm/impls/plex/plexdistribute.c

## Implementations

DMPlexSetOverlap_Plex() in src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages